using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;

namespace CheckSLStyles
{
    /// <summary>
    /// Class for reading a Visual Studio solution
    /// </summary>
    internal class Solution
    {
        public List<string> Projects = new List<string>();

        public Solution(string filename)
        {
            var lines = File.ReadAllLines(filename);
            foreach (string line in lines.Where(l => l.StartsWith("Project") && l.Contains(".csproj")))
                Projects.Add(ParseProjectLine(line));
        }

        private string ParseProjectLine(string line)
        {
            var parts = line.Split(',');
            if (parts.Length < 3)
                throw new Exception("Could not parse project line " + line);
            var path = parts[1].Trim();

            // Remove quotes
            if (path.StartsWith("\""))
                path = path.Substring(1, path.Length - 2);

            return path;

        }
    }
}