﻿using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CheckSLStyles
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class wndCheckSLStyles : Window
    {
        public wndCheckSLStyles()
        {
            InitializeComponent();
        }

        private void btnBrowse_Click(object sender, RoutedEventArgs e)
        {
            // Create OpenFileDialog
            Microsoft.Win32.OpenFileDialog dlg = new Microsoft.Win32.OpenFileDialog();

            // Set filter for file extension and default file extension
            dlg.DefaultExt = ".sln";
            dlg.Filter = "Solution file (.sln)|*.sln";
            dlg.FileName = txtFile.Text;

            // Display OpenFileDialog by calling ShowDialog method
            bool? result = dlg.ShowDialog();

            // Get the selected file name and display in a TextBox
            if (result == true)
            {
                // Open document
                string filename = dlg.FileName;
                txtFile.Text = filename;
            }
        }

        private void btnStart_Click(object sender, RoutedEventArgs e)
        {
            var analyser = new SolutionAnalyser(txtFile.Text);
            txtResult.Text = analyser.Analyse();
            btnSaveResults.IsEnabled = !string.IsNullOrEmpty(txtResult.Text);
        }

        private void btnSaveResults_Click(object sender, RoutedEventArgs e)
        {
            // Create OpenFileDialog
            Microsoft.Win32.SaveFileDialog dlg = new Microsoft.Win32.SaveFileDialog();

            // Set filter for file extension and default file extension
            dlg.DefaultExt = ".txt";
            dlg.Filter = "Text file (.txt)|*.txt";
            
            // Display OpenFileDialog by calling ShowDialog method
            bool? result = dlg.ShowDialog();

            // Get the selected file name and display in a TextBox
            if (result == true)
            {
                File.WriteAllText(dlg.FileName, txtResult.Text);
            }
        }
    }
}
